Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.servlet
Class Holder.HolderConfig

    java.lang.Object
      org.eclipse.jetty.servlet.Holder.HolderConfig

Direct Known Subclasses:
  ServletHolder.Config

Enclosing class:
  Holder<T>

    protected class Holder.HolderConfig

extends java.lang.Object

Constructor Summary
`protected` | `Holder.HolderConfig()`

Method Summary
`java.lang.String` | `getInitParameter(java.lang.String param)`
`java.util.Enumeration` | `getInitParameterNames()`
`ServletContext` | `getServletContext()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Holder.HolderConfig

    protected Holder.HolderConfig()

Method Detail

### getServletContext

    public ServletContext getServletContext()

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String param)

### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.